<!DOCTYPE html>
<head>  
    {% load static from staticfiles %}
    {% load materializecss %}
    <title>Subscribe Now</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/css/materialize.css">
    <link rel="stylesheet" href="{% static 'task_10/css/profile_and_subscribers.css' %}">
    <script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/js/materialize.js">    
    </script>
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script type="text/javascript" src="{% static 'task_10/js/profile_and_subscribers.js' %}"></script>
</head>
<body>
    <div class="container">
        <br><br>
        <div class="row">
            <div class="col s7">
                <div class="card-panel z-depth-5">
                    <div class="card-content">
                        <div class="center-align">
                            <p class="flow-text orange-text"> Registered Users </p>
                            <div class="divider"></div>                    
                            <table>
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>Name</th>
                                        <th>Username</th>
                                        <th>E-mail</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for user in registered_users %}
                                    <tr>
                                        <td>{{ forloop.counter }}</td>
                                        <td>{{ user.first_name }}</td>
                                        <td>{{ user.user_name }}</td>
                                        <td>{{ user.user_email }}</td>
                                    </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                            <h6 class="green-text"> Please reload the page after you subscribe to show your name </h6>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-panel col s5 z-depth-5">
                <div class="card-content">
                    <div class="center-align">
                        <div class="card-panel orange small z-depth-3">
                            <h4 class='white-text'><b>{{ title }}</b></h4>
                            <h6 class='white-text'>{{ description}} </h6>                           
                        </div>
                    </div>
                        {% csrf_token %}
                        {{ registration_form | materializecss }}
                    <div class="row center-align">
                        <button id="register_btn" class="waves-effect waves-light grey darken-2 btn" onclick=""><i class="material-icons left">person</i>Register Now</button>
                        <button id="register_btn" class="waves-effect waves-light orange darken-2 btn" onclick="location.href='/task_10'">Home Page</button>
                    </div>
                    <div id="successCard" class="hide card-panel center-align green small">
                        <b><span id="success" class="white-text"></span></b>
                    </div>
                    <div id="errorCard" class="hide card-panel center-align red small">
                        <b><span id="error" class="white-text"></span></b>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </div>
</body>